apiVersion: v1
kind: ConfigMap
metadata:
  name: devopsapp-config
  labels:
    app: devopsapp
data:
  SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT: org.hibernate.dialect.MySQL8Dialect
  SPRING_JPA_HIBERNATE_DDL_AUTO: update
  SPRING_DATASOURCE_URL: jdbc:mysql://sql-svc:3306/root
  SPRING_DATASOURCE_DRIVER_CLASS_NAME: com.mysql.jdbc.Driver
  JAVA_OPTS: "-Djava.net.preferIPv4Stack=true -Dspring.profiles.active=mysql"
  SPRING_DATASOURCE_USERNAME: root
  SPRING_DATASOURCE_PASSWORD: root